<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetProperty Method (IEdmRefItem)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRefItem Interface : SetProperty Method (IEdmRefItem)

Visual Basic
C#
C++/CLI

eProperty
  Type of property to update as defined in EdmRefItemProperty

oValue
  New property value

Updates the specified property of this item.

# Syntax

Visual Basic |
--- | ---

    Sub SetProperty( _
       ByVal eProperty As EdmRefItemProperty, _
       ByVal oValue As System.Object _
    )

C# |
--- | ---

    void SetProperty(
       EdmRefItemProperty eProperty,
       System.object oValue
    )

C++/CLI |
--- | ---

    void SetProperty(
    &   EdmRefItemProperty eProperty,
    &   System.Object^ oValue
    )

#### Parameters

eProperty
  Type of property to update as defined in EdmRefItemProperty
oValue
  New property value

# Example

Access Check-in Flags in Check out Dialog (C#)
Access Check-in Flags in Check out Dialog (VB.NET)
Prevent Admin from Checking In File (C#)
Prevent Admin from Checking In File (VB.NET)

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_INVALIDARG: The eProperty argument contains a property that cannot be updated in this container, or oValue does not match the type specified in eProperty.

# See Also

####

IEdmRefItem Interface
IEdmRefItem Members

# Availability

SOLIDWORKS PDM Professional Version 6.4